function poruka = izracunaj(vrsta)
    [rb,ime,duguje,potrazuje] = textread('SviPodaci.txt', '%u %s %f %f');

    a = size(rb);
% asopis "PC", broj 126
% primer broj 10
%    funkcija koja u zavisnosti od parametra VRSTA
%    1 - izraunava koliko osoba duguje koliko para
%    2 - koja osoba duguje najvie i pod kojim je rednim brojem
%
%    Za ispravan rad funkcije potrebno je da u istom direktorijumu postoji
%    fajl "SviPodaci.txt" u jasno definisanom formatu.
%

    switch vrsta
        case 1
            ukupno = 0;
            for u = 1:a(1,1)
                ukupno = ukupno + duguje(u) - potrazuje(u);
            end
            poruka = { char('Ukupno'), a(1,1), char('osoba duguje:'), ukupno, char(' dinara') };
        case 2
            najvise = 0;
            for u = 1:a(1,1)
                dug = duguje(u) - potrazuje(u);
                if najvise < dug
                    najvise = dug;
                    najRB = u;
                end
            end
            poruka = { char('Najvie duguje') char(ime(najRB)) char('pod rednim brojem') najRB};
        otherwise
            poruka = { char('Niste uneli odgovarajui parametar!')};
    end